Bad version Rated 1 out of 5 stars

Could not install with any ff version

This review is for a previous version of the add-on (8.6.0.1-signed). 

bad update Rated 1 out of 5 stars

Could not use it with any version of FF

This review is for a previous version of the add-on (8.5.3.1-signed).